<?php
namespace Base\Domain\lib\WeChatOpen\WeChatLogin\Api;

use PhalApi\CUrl;

/**
 * Class Code api基类
 * @package Base\Domain\Authorization
 */
class ApiBase{
    //统一微信域名配置
    protected $domainApi = 'https://api.weixin.qq.com/';

    //curl对象
    protected $curl = null;

    public function __construct()
    {
        //初始化curl
       $this->curl = new CUrl();
       //测试先去掉证书
        $options = array(
            CURLOPT_SSL_VERIFYPEER => FALSE,
            CURLOPT_SSL_VERIFYHOST => FALSE,
        );
        $this->curl->setOption($options);
    }

}
